import "GaranStuff.MoorMap.Class";
import "Turbine";
import "Turbine.UI";

-- The sole purpose of this plugin is to allow the MoorMapDefaults plugin to terminate, forcing the data to be flushed to disk
-- we have to create a window instance so that we can use it's "update" event handler to do the dirty work asynchronously
-- otherwise, we might accidentally kill off the MoorMapDefaults script state before our script state exists and then
-- the main app wouldn't be able to clean us up.

Killer=class(Turbine.UI.Window);
function Killer:Constructor()
	Turbine.UI.Window.Constructor(self);
	self:SetSize(0,0);
	self.Update=function()
		if (Plugins["MoorMapTerminator"] ~= nil) then
			self:SetWantsUpdates(false);
			Turbine.PluginManager.UnloadScriptState("MoorMapDefaults");
		end		
	end
	self:SetWantsUpdates(true);
end
terminatorWindow=Killer();
